<section class="py-4 osahan-main-body">
    <div class="container">
        <div *ngIf="items.length === 0;else cartDetails">
            Votre Panier est vide ! 
        </div>
        <ng-template #cartDetails>
            <div class="row">
                <div class="col-lg-8">
                    <div class="accordion" id="accordionExample">

                        <div class="card border-0 osahan-accor rounded shadow-sm overflow-hidden">

                            <div class="card-header bg-white border-0 p-0" id="headingOne">
                                <h2 class="mb-0">
                                    <button
                                        class="btn d-flex align-items-center bg-white btn-block text-left btn-lg h5 px-3 py-4 m-0"
                                        type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true"
                                        aria-controls="collapseOne">
                                        <span class="c-number">1</span> Cart ({{items.length}} items)
                                    </button>
                                </h2>
                            </div>

                            <div id="collapseOne" class="collapse show" aria-labelledby="headingOne"
                                data-parent="#accordionExample">
                                <div class="card-body p-0 border-top">
                                    <div class="osahan-cart">
                                        <div class="cart-items bg-white position-relative border-bottom"
                                            *ngFor="let i of items">
                                                <div *ngIf="i.qte_user > 0">
                                                <a href="product_details.html" class="position-absolute">
                                                    <span class="badge badge-danger m-3">{{i.remise}}</span>
                                                </a>
                                                <div class="d-flex  align-items-center p-3">
                                                    <a href="product_details.html"><img
                                                            src="http://localhost:8083/users/files/{{i.image}}"
                                                            class="img-fluid"></a>
                                                    <a class="ml-3 text-dark text-decoration-none w-100">
                                                        <h5 class="mb-1">{{i.name}}</h5>
                                                        <p class="text-muted mb-2"><del
                                                                class="text-success mr-1">${{i.prix}}</del> ${{i.remise}}</p>
                                                        <div class="d-flex align-items-center">
                                                            <p class="total_price font-weight-bold m-0"> ${{i.remise *  i.qte_user}}</p>
                                                            <form id="myform" class="cart-items-number d-flex ml-auto">
                                                                <input type="button" value="-"
                                                                    class="qtyminus btn btn-success btn-sm"
                                                                    (click)="removeQte(i)">
                                                                <input type="text" name="quantity" value="{{i.qte_user}}"
                                                                    class="qty form-control">
                                                                <input type="button" value="+"
                                                                    class="qtyplus btn btn-success btn-sm" (click)="addQte(i)">
                                                            </form>
                                                        </div>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>

                                        <div>
                                            <a href="#" class="text-decoration-none btn btn-block p-3" type="button" (click)="savePanier()" 
                                                data-toggle="collapse" data-target="#collapsetwo" aria-expanded="true"
                                                aria-controls="collapsetwo">
                                                <div
                                                    class="rounded shadow bg-success d-flex align-items-center p-3 text-white">
                                                    <div class="more">
                                                        <h6 class="m-0">Subtotal :{{gettotal()}} dt</h6>
                                                        <p class="small m-0">Proceed to checkout</p>
                                                    </div>
                                                    <div class="ml-auto"><i class="icofont-simple-right"></i></div>
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div        >
                        <div class="card border-0 osahan-accor rounded shadow-sm overflow-hidden mt-3" >

                            <div class="card-header bg-white border-0 p-0" id="headingtwo">
                                <h2 class="mb-0">
                                    <button
                                        class="btn d-flex align-items-center bg-white btn-block text-left btn-lg h5 px-3 py-4 m-0"
                                        type="button" data-toggle="collapse" data-target="#collapsetwo" aria-expanded="true"
                                        aria-controls="collapsetwo">
                                        <span class="c-number">2</span> Order Address <a href="#" data-toggle="modal"
                                            data-target="#exampleModal" class="text-decoration-none text-success ml-auto">
                                            <i class="icofont-plus-circle mr-1"></i>Add New Delivery Address</a>
                                    </button>
                                </h2>
                            </div>

                            <div id="collapsetwo" class="collapse" aria-labelledby="headingtwo"
                                data-parent="#accordionExample">
                                <div class="card-body p-0 border-top">
                                    <div class="osahan-order_address">
                                        <div class="p-3 row">
                                            <div
                                                class="custom-control col-lg-6 custom-radio mb-3 position-relative border-custom-radio">
                                                <input type="radio" id="customRadioInline1" name="customRadioInline1"
                                                    class="custom-control-input" checked="">
                                                <label class="custom-control-label w-100" for="customRadioInline1">
                                                    <div>
                                                        <div class="p-3 bg-white rounded shadow-sm w-100">
                                                            <div class="d-flex align-items-center mb-2">
                                                                <p class="mb-0 h6">Home</p>
                                                                <p class="mb-0 badge badge-success ml-auto"><i
                                                                        class="icofont-check-circled"></i> Default</p>
                                                            </div>
                                                            <p class="small text-muted m-0">{{adress}}</p>
                                                            <p class="pt-2 m-0 text-right"><span class="small"><a href="#"
                                                                        data-toggle="modal" data-target="#exampleModal"
                                                                        class="text-decoration-none text-info">Edit</a></span>
                                                            </p>
                                                        </div>
                                                        <span class="btn btn-light border-top btn-lg btn-block"
                                                            (click)="addDeliveryAdressToCommande(adress)">
                                                            Deliver Here
                                                        </span>
                                                    </div>
                                                </label>
                                            </div>
                                            <div
                                                class="custom-control col-lg-6 custom-radio position-relative border-custom-radio">
                                                <input type="radio" id="customRadioInline2" name="customRadioInline1"
                                                    class="custom-control-input">
                                                <label class="custom-control-label w-100" for="customRadioInline2">
                                                    <div>
                                                        <div class="p-3 rounded bg-white shadow-sm w-100">
                                                            <div class="d-flex align-items-center mb-2">
                                                                <p class="mb-0 h6">Work</p>
                                                                <p class="mb-0 badge badge-light ml-auto"><i
                                                                        class="icofont-check-circled"></i> Select</p>
                                                            </div>
                                                            <p class="small text-muted m-0">{{wadress}}</p>
                                                            <p class="pt-2 m-0 text-right"><span class="small"><a href="#"
                                                                        data-toggle="modal" data-target="#exampleModal"
                                                                        class="text-decoration-none text-info">Edit</a></span>
                                                            </p>
                                                        </div>
                                                        <span class="btn btn-light border-top btn-lg btn-block"
                                                            (click)="addDeliveryAdressToCommande(wadress)">
                                                            Deliver Here
                                                        </span>
                                                    </div>
                                                </label>
                                            </div>
                                            <a class="btn btn-success btn-lg btn-block mt-3" type="button"
                                                data-toggle="collapse" data-target="#collapsethree" aria-expanded="true"
                                                aria-controls="collapsethree">Continue</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card border-0 osahan-accor rounded shadow-sm overflow-hidden mt-3" *ngIf="commande.delivery_adresse !== undefined">

                            <div class="card-header bg-white border-0 p-0" id="headingthree">
                                <h2 class="mb-0">
                                    <button
                                        class="btn d-flex align-items-center bg-white btn-block text-left btn-lg h5 px-3 py-4 m-0"
                                        type="button" data-toggle="collapse" data-target="#collapsethree"
                                        aria-expanded="true" aria-controls="collapsethree">
                                        <span class="c-number">3</span> Delivery Time
                                    </button>
                                </h2>
                            </div>

                            <div id="collapsethree" class="collapse" aria-labelledby="headingthree"
                                data-parent="#accordionExample">
                                <div class="card-body p-0 border-top">

                                <div class="row text-center">

                                    <div class="col-md-4">
                                        <div class="btn-group">
                                            <div class="btn btn-primary" mwlCalendarPreviousView [view]="view" [(viewDate)]="viewDate">
                                                Previous
                                            </div>
                                            <div class="btn btn-outline-secondary" mwlCalendarToday [(viewDate)]="viewDate">
                                                Today
                                            </div>
                                            <div class="btn btn-primary" mwlCalendarNextView [view]="view" [(viewDate)]="viewDate">
                                                Next
                                            </div>
                                        </div>
                                    </div>
                                
                                    <div class="col-md-4">
                                        <h3>{{ viewDate | calendarDate:(view + 'ViewTitle'):'en' }}</h3>
                                    </div>
                                
                                </div>
                                
                                <div [ngSwitch]="view">
                                
                                    <mwl-calendar-month-view (dayClicked)="dayClicked($event.day)" *ngSwitchCase="CalendarView.Month" [viewDate]="viewDate">
                                    </mwl-calendar-month-view>
                                
                                
                                
                                </div>
                        
                                    <div class="p-3">
                                        <a href="#" class="btn btn-success btn-lg btn-block" type="button"
                                            data-toggle="collapse" data-target="#collapsefour" aria-expanded="true"
                                            aria-controls="collapsefour">Schedule Order</a>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card border-0 osahan-accor rounded shadow-sm overflow-hidden mt-3"  *ngIf="commande.delivery_date !== undefined">

                            <div class="card-header bg-white border-0 p-0" id="headingfour">
                                <h2 class="mb-0">
                                    <button
                                        class="btn d-flex align-items-center bg-white btn-block text-left btn-lg h5 px-3 py-4 m-0"
                                        type="button" data-toggle="collapse" data-target="#collapsefour"
                                        aria-expanded="true" aria-controls="collapsefour">
                                        <span class="c-number">4</span> Payment
                                    </button>
                                </h2>
                            </div>

                            <div id="collapsefour" class="collapse" aria-labelledby="headingfour"
                                data-parent="#accordionExample">
                                <div class="card-body px-3 pb-3 pt-1 border-top">
                                    <div class="schedule">
                                        <ul class="nav nav-tabs justify-content-center nav-fill" id="myTab" role="tablist">
                                            <li class="nav-item" role="presentation">
                                                <a class="nav-link active text-dark" id="credit-tab" data-toggle="tab"
                                                    href="#credit" role="tab" aria-controls="credit" aria-selected="true">
                                                    <p class="mb-0 font-weight-bold"><i
                                                            class="icofont-credit-card mr-2"></i> Credit/Debit Card</p>
                                                </a>
                                            </li>
                                            <li class="nav-item" role="presentation">
                                                <a class="nav-link text-dark" id="cash-tab" data-toggle="tab" href="#cash"
                                                    role="tab" aria-controls="cash" aria-selected="false">
                                                    <p class="mb-0 font-weight-bold"><i class="icofont-dollar mr-2"></i>
                                                        Cash on Delivery</p>
                                                </a>
                                            </li>
                                        </ul>
                                        <div class="tab-content bg-white" id="myTabContent">
                                            <div class="tab-pane fade show active" id="credit" role="tabpanel"
                                                aria-labelledby="credit-tab">
                                                <div class="osahan-card-body pt-3">
                                                    <h6 class="m-0">Add new card</h6>
                                                    <p class="small">WE ACCEPT <span
                                                            class="osahan-card ml-2 font-weight-bold">( Master Card / Visa
                                                            Card / Rupay )</span></p>
                                                    <form>
                                                        <div class="form-row">
                                                            <div class="col-md-12 form-group">
                                                                <label class="form-label font-weight-bold small">Card
                                                                    number</label>
                                                                <div class="input-group">
                                                                    <input placeholder="Card number" type="number" disabled
                                                                        class="form-control">
                                                                    <div class="input-group-append"><button
                                                                            id="button-addon2" type="button"
                                                                            class="btn btn-outline-secondary"><i
                                                                                class="icofont-credit-card"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-8 form-group"><label
                                                                    class="form-label font-weight-bold small">Valid
                                                                    through(MM/YY)</label><input
                                                                    placeholder="Enter Valid through(MM/YY)" type="number" disabled
                                                                    class="form-control"></div>
                                                            <div class="col-md-4 form-group"><label
                                                                    class="form-label font-weight-bold small">CVV</label><input
                                                                    placeholder="Enter CVV Number" type="number" disabled
                                                                    class="form-control"></div>
                                                            <div class="col-md-12 form-group"><label
                                                                    class="form-label font-weight-bold small">Name on
                                                                    card</label><input placeholder="Enter Card number" disabled
                                                                    type="text" class="form-control"></div>
                                                            <div class="col-md-12 form-group">
                                                                <div class="custom-control custom-checkbox">
                                                                    <input type="checkbox" id="custom-checkbox1" disabled
                                                                        class="custom-control-input">
                                                                    <label title="" type="checkbox" for="custom-checkbox1"
                                                                        class="custom-control-label small pt-1">Securely
                                                                        save this card for a faster checkout next
                                                                        time.</label>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                
                                            <div class="tab-pane fade" id="cash" role="tabpanel" aria-labelledby="cash-tab">
                                                <div class="custom-control custom-checkbox pt-3">
                                                    <input type="checkbox" class="custom-control-input"
                                                        id="customControlAutosizing" (click)="updatePaiement()">
                                                    <label class="custom-control-label" for="customControlAutosizing">
                                                        <b>Cash</b><br>
                                                        <p class="small text-muted m-0">Please keep exact change handy to
                                                            help us serve you better</p>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <a (click)="saveCommande()" class="btn btn-success btn-lg btn-block mt-3"
                                        type="button">Payer</a>
                                </div>
                            </div>
                        </div>
                    </div>


                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="sticky_sidebar">
                        <div class="bg-white rounded overflow-hidden shadow-sm mb-3 checkout-sidebar">
                            <div class="d-flex align-items-center osahan-cart-item-profile border-bottom bg-white p-3">
                                <img alt="osahan" src="img/starter1.jpg" class="mr-3 rounded-circle img-fluid">
                                <div class="d-flex flex-column">
                                    <h6 class="mb-1 font-weight-bold">Osahan Fresh Store</h6>
                                    <p class="mb-0 small text-muted"><i class="feather-map-pin"></i> 2036 2ND AVE, NEW YORK,
                                        NY 10029</p>
                                </div>
                            </div>
                            <div>
                                <div class="bg-white p-3 clearfix">
                                    <p class="font-weight-bold small mb-2">Bill Details</p>
                                    <p class="mb-1">Item Total <span class="small text-muted">({{items.length}} item)</span>
                                        <span class="float-right text-dark">{{getTotalSansRemise()}} dt</span></p>
                                    <p class="mb-1">Store Charges <span class="float-right text-dark">{{getCharges()}}
                                            dt</span></p>
                                    <p class="mb-3">Delivery Fee <span data-toggle="tooltip" data-placement="top" title=""
                                            class="text-info ml-1" data-original-title="Delivery partner fee - $3"><i
                                                class="icofont-info-circle"></i></span><span
                                            class="float-right text-dark">10 dt</span></p>
                                    <h6 class="mb-0 text-success">Total <span
                                            class="float-right text-success">{{gettotal()}} dt</span></h6>
                                </div>
                                <div class="p-3 border-top">
                                    <h5 class="mb-0">TO PAY <span class="float-right text-danger">{{gettotal() + 10}}
                                            dt</span></h5>
                                </div>
                            </div>
                        </div>
                        <p class="text-success text-center">Your Total Savings on this order {{getCharges()}} dt</p>
                    </div>
                </div>
            </div>
        </ng-template>
    </div>
</section>